[ci skip] Emergency fix for travis pipeline - reinstate pre-optimized changelog generator, to fit in releaser until we properly redesign the process
Pavlos Emm. Katsoulakis committed
Mar 30, 2019 at 15:48 UTC
b13260f703c5794aec76fc6f829b1e28ca218a64
2 files changed
+34
-1
.travis/generate_changelog_for_release.sh
new
+33
@@ -0,0 +1,33 @@
1
+#!/bin/bash
2
+
3
+set -e
4
+
5
+if [ ! -f .gitignore ]; then
6
+ echo "Run as ./travis/$(basename "$0") from top level directory of git repository"
7
+ exit 1
8
+fi
9
+
10
+ORGANIZATION=$(echo "$TRAVIS_REPO_SLUG" | awk -F '/' '{print $1}')
11
+PROJECT=$(echo "$TRAVIS_REPO_SLUG" | awk -F '/' '{print $2}')
12
+GIT_MAIL=${GIT_MAIL:-"bot@netdata.cloud"}
13
+GIT_USER=${GIT_USER:-"netdatabot"}
14
+
15
+if [ -z ${GIT_TAG+x} ]; then
16
+ OPTS=""
17
+else
18
+ OPTS="--future-release ${GIT_TAG}"
19
+fi
20
+
21
+echo "--- Creating changelog ---"
22
+git checkout master
23
+git pull
24
+#docker run -it --rm -v "$(pwd)":/usr/local/src/your-app ferrarimarco/github-changelog-generator:1.14.3 \
25
+docker run -it -v "$(pwd)":/project markmandel/github-changelog-generator:latest \
26
+ --user "${ORGANIZATION}" \
27
+ --project "${PROJECT}" \
28
+ --token "${GITHUB_TOKEN}" \
29
+ --since-tag "v1.10.0" \
30
+ --unreleased-label "**Next release**" \
31
+ --exclude-labels "stale,duplicate,question,invalid,wontfix,discussion,no changelog" \
32
+ --no-compare-link ${OPTS}
33
+
.travis/releaser.sh
+1
-1
@@ -48,7 +48,7 @@ echo "$GIT_TAG" >packaging/version
48
git add packaging/version
49
50
echo "---- GENERATE CHANGELOG -----"
51
-./.travis/generate_changelog.sh
51
+./.travis/generate_changelog_for_release.sh
52
git add CHANGELOG.md
53
54
echo "---- COMMIT AND PUSH CHANGES ----"